Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 28 Jul 2014, 23:02
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
gtk-youtube-viewer (for lots of pups)
Post new topic   Reply to topic View previous topic :: View next topic
Page 8 of 13 [189 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10, 11, 12, 13 Next
Author Message
Dewbie

Joined: 15 Apr 2010
Posts: 1783

PostPosted: Tue 29 Oct 2013, 23:46    Post subject:  

Running gtk-youtube-viewer 3.0.2 in Wary 5.2.2.
Looks like they've turned the screws again. Evil or Very Mad

Videos no longer download as mp4s.
Instead, they load the same way they would through a browser.

And if I log in to YouTube in gtk-youtube-viewer 3.0.2 using my GMail account info., I get
(see below...strangely, I don't get that error when I don't log in...)
youtube-error.png
 Description   
 Filesize   8.2 KB
 Viewed   686 Time(s)

youtube-error.png

Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 266

PostPosted: Sat 30 Nov 2013, 07:58    Post subject:  

It used to work for me (v 3.0.4 in Slacko 5.6) but now I get this error when searching:

No video results...

=>> Previous warnings:
[Sat Nov 30 09:08:44 2013]: * Initializing threads...
[Sat Nov 30 09:10:14 2013]: [401 Token invalid] Error occured on URL: http://gdata.youtube.com/feeds/api/videos?v=2&safeSearch=none&start-index=1&q=yoi&max-results=10
[Sat Nov 30 09:10:14 2013]: Empty document at /usr/local/lib/perl5/XML/Fast.pm line 28.

Fast.pm is present

Sakura terminal works.

Is this a problem with API? Did Google change anything that prevents viewer from work?

Thanks.

_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1369
Location: Malvern, Worcs, UK

PostPosted: Mon 09 Dec 2013, 16:07    Post subject: Version 3.0.4 for Slacko5.6  

A small change was needed to make v3.0.4 run on Slacko5.6 - having made the change I decided to upload the amended pet:

gtk_youtube_viewer-3.0.4_slacko5.6

Make sure you uninstall any previous version & delete:

root/.config/gtk-youtube-viewer and youtube-viewer folders

before running

I notice that v3.0.9 is now available:
https://code.google.com/p/trizen/

but I'm not sure what would need to be done to turn it into a pet - the 3.0.4 pet is much bigger so must have lots of 'extras'.

but Slacko5.6 comes with perl5.16.3 so it should work....if somebody knew how to do it.

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE

Last edited by peebee on Wed 11 Dec 2013, 07:08; edited 3 times in total
Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 266

PostPosted: Tue 10 Dec 2013, 10:37    Post subject:  

Does not work

Quote:
No video results...

=>> Previous warnings:
[Tue Dec 10 11:50:31 2013]: * Initializing threads...
[Tue Dec 10 11:50:46 2013]: [401 Token invalid] Error occured on URL: http://gdata.youtube.com/feeds/api/videos?v=2&safeSearch=none&start-index=1&q=neuron&max-results=10
[Tue Dec 10 11:50:46 2013]: Empty document at /usr/local/lib/perl5/XML/Fast.pm line 28.
[Tue Dec 10 11:50:46 2013]: No video results...
[Tue Dec 10 11:50:56 2013]: [401 Token invalid] Error occured on URL: http://gdata.youtube.com/feeds/api/videos?v=2&safeSearch=none&q=neuron&start-index=1&max-results=10
[Tue Dec 10 11:50:56 2013]: Empty document at /usr/local/lib/perl5/XML/Fast.pm line 28.

_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1369
Location: Malvern, Worcs, UK

PostPosted: Tue 10 Dec 2013, 14:01    Post subject:  

Rope wrote:
Does not work


Hi Rope

Works for me - on a pristine frugal install of Slacko5.6 - both with the default unchanged locale settings and also when I've configured for the UK....

?????????????

What kind of search did you do?

Cheers
peebee
Screenshot.png
 Description   
 Filesize   164.17 KB
 Viewed   452 Time(s)

Screenshot.png


_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 266

PostPosted: Tue 10 Dec 2013, 15:52    Post subject:  

peebee , any search does not work.

Sakura terminal work.

It used to work for me when I insalled the previous version but then stop. Now I installed this new one and fails too.

I I enter the url which the error says [401 Token invalid] in the browser it works.

Line 28 /usr/local/lib/perl5/XML/Fast.pm read this:

_xml2hash($xml,\%args);

_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1369
Location: Malvern, Worcs, UK

PostPosted: Wed 11 Dec 2013, 07:06    Post subject:  

Rope wrote:
peebee , any search does not work.

Sakura terminal work.

It used to work for me when I insalled the previous version but then stop. Now I installed this new one and fails too.

I I enter the url which the error says [401 Token invalid] in the browser it works.

Line 28 /usr/local/lib/perl5/XML/Fast.pm read this:

_xml2hash($xml,\%args);


Hi Rope

Have you tried deleting:

root/.config/gtk-youtube-viewer and youtube-viewer folders and then running?

Other than that I can offer no suggestions as it works fine for me.

Regards
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1634
Location: wales

PostPosted: Wed 11 Dec 2013, 14:55    Post subject:  

Thanks for keeping this upto date peebee .... i'm away over the winter and haven't got my main computer so can't update stuff much, i'm basically on an old macbook that you can't turn off or it may not turn back on again!!!... it is running in ram with no save file ....precise only Smile

I did try to get gtk-youtube-viewer working on precise, and had the same no search results problem as above

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1369
Location: Malvern, Worcs, UK

PostPosted: Wed 11 Dec 2013, 16:14    Post subject:  

666philb wrote:
I did try to get gtk-youtube-viewer working on precise, and had the same no search results problem as above

Hi 666philb

With the same small change (sent to you by pm) the Precise version also works fine for me:
gtk_youtube_viewer-3.0.2_precise5.7.1.pet

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
Rope

Joined: 20 Feb 2013
Posts: 266

PostPosted: Wed 11 Dec 2013, 18:45    Post subject:  

peebee wrote:
Rope wrote:
peebee , any search does not work.

Sakura terminal work.

It used to work for me when I insalled the previous version but then stop. Now I installed this new one and fails too.

I I enter the url which the error says [401 Token invalid] in the browser it works.

Line 28 /usr/local/lib/perl5/XML/Fast.pm read this:

_xml2hash($xml,\%args);


Hi Rope

Have you tried deleting:

root/.config/gtk-youtube-viewer and youtube-viewer folders and then running?

Other than that I can offer no suggestions as it works fine for me.

Regards
peebee


Thanks peebee.

I deleted root/.config/gtk-youtube-viewer and it works now. The other folder you mention I dont know where they are.

Do you know if it is possible to replace mplayer with gnome player? It has more GUI controls.

_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1369
Location: Malvern, Worcs, UK

PostPosted: Thu 12 Dec 2013, 08:54    Post subject: Version 3.0.9 for Slacko5.6  

Here's version 3.0.9 to try on Slacko5.6

gtk_youtube_viewer-3.0.9_slacko5.6.pet

Seems to work OK on Slacko5.6 but on LxPup13.11 it has a stange interaction with the panel which it blanks - however the panel does "recover" later...

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 195
Location: Scotland

PostPosted: Fri 13 Dec 2013, 12:27    Post subject:  

Hello All

I had been using gtk_youtube_viewer-3.0.2.-lucid.pet in Lucid Puppy 528 which I found very useful. However, it no longer works properly. I have been using the "revitalised" 5286 version here http://murga-linux.com/puppy/viewtopic.php?t=90461 . I wonder if somebody would be kind enough to make a pet of gtk_youtube_viewer-3.0.9. that would work with this updated version of Lucid Puppy 528. I am sorry to say that I do not have the expertise to do this myself.

Regards,

Ken.
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1369
Location: Malvern, Worcs, UK

PostPosted: Fri 13 Dec 2013, 13:19    Post subject:  

keniv wrote:
Hello All

I had been using gtk_youtube_viewer-3.0.2.-lucid.pet in Lucid Puppy 528 which I found very useful. However, it no longer works properly. I have been using the "revitalised" 5286 version here http://murga-linux.com/puppy/viewtopic.php?t=90461 . I wonder if somebody would be kind enough to make a pet of gtk_youtube_viewer-3.0.9. that would work with this updated version of Lucid Puppy 528. I am sorry to say that I do not have the expertise to do this myself.

Regards,

Ken.


Hi Ken

It may be possible....but....

the Viewer is a Perl application and Perl seems to be very sensitive to all sorts of system components so I'm not sure even the revitalised 528 will be enough for v3.0.9 - I may be wrong.

It will be a lot of work even to investigate so at the moment my recommendation would be to have a frugal boot of Slacko5.6 just to run this application - you never know you may find you like it Wink

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 195
Location: Scotland

PostPosted: Fri 13 Dec 2013, 14:43    Post subject:  

Hi Peebee

Thanks for quick reply. I did not realise it could potentially be so much work. I have tried slacko but before it got to 5.6. However, I have a couple of frugal installs of different puppies booting with grub4dos and it would easy to add slacko 5.6 so I'll take your advice and try it.

Thanks again,

Ken.
Back to top
View user's profile Send private message 
Barkingmad

Joined: 21 Nov 2008
Posts: 121

PostPosted: Tue 31 Dec 2013, 10:51    Post subject:  

Hello

Just for info. I have viewer V.3.0.2 here on Lupu 5.2.8 and it still seems to work OK for me in the UK. I can search by keywords or user name and videos play or download as mp4 files.

W
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 8 of 13 [189 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10, 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2056s ][ Queries: 13 (0.1235s) ][ GZIP on ]